public class CreateUploadImageRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
appId
The ID of the application.
|
Long |
cateId
The category ID of the image.
|
String |
description
The description of the image.
|
String |
imageExt
The file name extension of the image.
|
String |
imageType
The type of the image.
|
String |
originalFileName
The name of the source file.
|
String |
storageLocation
The storage address.
|
String |
tags
The tags of the image.
|
String |
title
The title of the image.
|
String |
userData
The custom configurations, including callback configurations and upload acceleration configurations.
|
| 构造器和说明 |
|---|
CreateUploadImageRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static CreateUploadImageRequest |
build(Map<String,?> map) |
String |
getAppId() |
Long |
getCateId() |
String |
getDescription() |
String |
getImageExt() |
String |
getImageType() |
String |
getOriginalFileName() |
String |
getStorageLocation() |
String |
getTags() |
String |
getTitle() |
String |
getUserData() |
CreateUploadImageRequest |
setAppId(String appId) |
CreateUploadImageRequest |
setCateId(Long cateId) |
CreateUploadImageRequest |
setDescription(String description) |
CreateUploadImageRequest |
setImageExt(String imageExt) |
CreateUploadImageRequest |
setImageType(String imageType) |
CreateUploadImageRequest |
setOriginalFileName(String originalFileName) |
CreateUploadImageRequest |
setStorageLocation(String storageLocation) |
CreateUploadImageRequest |
setTags(String tags) |
CreateUploadImageRequest |
setTitle(String title) |
CreateUploadImageRequest |
setUserData(String userData) |
@NameInMap(value="AppId") public String appId
The ID of the application. Default value: **app-1000000**. For more information, see [Overview](~~113600~~).
@NameInMap(value="CateId") public Long cateId
The category ID of the image. You can use one of the following methods to obtain the category ID:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Categories**. On the Categories page, you can view the category ID of the image.
* Obtain the value of CateId from the response to the [AddCategory](~~56401~~) operation.
* Obtain the value of CateId from the response to the [GetCategories](~~56406~~) operation.
@NameInMap(value="Description") public String description
The description of the image.
* The description can be up to 1,024 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="ImageExt") public String imageExt
The file name extension of the image. Valid values:
* **png** (default)
* **jpg**
* **jpeg**
* **gif**
@NameInMap(value="ImageType") public String imageType
The type of the image. Valid values:
* **default**: the default image type.
* **cover**: the thumbnail.
> You can manage only images of the **default** type in the ApsaraVideo VOD console.
@NameInMap(value="OriginalFileName") public String originalFileName
The name of the source file.
> The name must contain a file name extension. The file name extension is not case-sensitive.
@NameInMap(value="StorageLocation") public String storageLocation
The storage address. Perform the following operations to obtain the storage address: Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Storage**. On the Storage page, view the storage address.
> If you specify a storage address, media files are uploaded to the specified address.
@NameInMap(value="Tags") public String tags
The tags of the image. The following rules apply:
* Each tag can be up to 32 characters in length.
* You can specify a maximum of 16 tags for an image.
* Separate multiple tags with commas (,).
* The value must be encoded in UTF-8.
@NameInMap(value="Title") public String title
The title of the image. The following rules apply:
* The title can be up to 128 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="UserData") public String userData
The custom configurations, including callback configurations and upload acceleration configurations. The value must be a JSON string. For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952~~) topic.
> * The callback configurations take effect only after you specify the HTTP callback URL and select specific callback events in the ApsaraVideo VOD console. For more information about how to configure HTTP callback settings in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
>* If you want to enable the upload acceleration feature, [submit a request on Yida](https://yida.alibaba-inc.com/o/ticketapply). For more information, see [Overview](~~55396~~).
public static CreateUploadImageRequest build(Map<String,?> map) throws Exception
Exceptionpublic CreateUploadImageRequest setAppId(String appId)
public String getAppId()
public CreateUploadImageRequest setCateId(Long cateId)
public Long getCateId()
public CreateUploadImageRequest setDescription(String description)
public String getDescription()
public CreateUploadImageRequest setImageExt(String imageExt)
public String getImageExt()
public CreateUploadImageRequest setImageType(String imageType)
public String getImageType()
public CreateUploadImageRequest setOriginalFileName(String originalFileName)
public String getOriginalFileName()
public CreateUploadImageRequest setStorageLocation(String storageLocation)
public String getStorageLocation()
public CreateUploadImageRequest setTags(String tags)
public String getTags()
public CreateUploadImageRequest setTitle(String title)
public String getTitle()
public CreateUploadImageRequest setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.